Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128856 - additional info in revert dialog
additional info in revert dialog
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All Linux
: P2 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 16:53 UTC by Tomas Stupka
Modified: 2008-03-05 19:49 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
mercurial_export_diff_plus_cset_info.jpg (30.70 KB, image/jpeg)
2008-03-03 17:24 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2008-02-29 16:53:33 UTC
is it posible to show some additional info (log message) for a selected changset in the revert, backout and strip
dialogs? The number itself isn't very descriptive and one has to get it first from somewhere else...
Comment 1 John Rice 2008-02-29 18:38:33 UTC
The most effective way to do this is to have the Show History or Show Out open for a repo then you can see all of the
changeset info in context. If we had to retrieve all of the changeset info for each revision then we'd slow things down.
Also a dialogs not the best place to list all this info, the best place is in the Search History window.

What info do you want to see?

Can you play around with the Show History/ Out and see if this meets your needs. Make sure to check out the context
menus as well.
Comment 2 Tomas Stupka 2008-03-03 12:33:56 UTC
> The most effective way to do this is to have the Show History or Show Out open for a repo then you can see all of the
> changeset info in context.
i don't thing so. Lets assume there is a changeset i committed a couple of days ago and i want to backout it. I have to
 run the search history, find the changeset, open the backout dialog, find the changeset in the combo ... . I haven't
found a way how to call backout or strip directly from search history. 
1.) This isn't very straight forward
2.) the hg log has to be run twice - first time in search history, the second time in the backout dialog - not sure if
this is effective 
3.) i have to go through the list in the search history view, and when i find the relevant changeset then i have to go
through the dialogs combo again

> If we had to retrieve all of the changeset info for each revision then we'd slow things down
i can't believe that retrieving the changeset description or author from the log command you already use to get the
changesets would have a significant impact. 

> What info do you want to see? 
already {desc} would be a big improvement, date and author could be also of help. 





Comment 3 John Rice 2008-03-03 14:42:43 UTC
Currently when you do a Show History you have:

Changeset dark grey bar:
   Diff   Revert (to this changeset)   ExportDiff (for this changeset - all files)
Ctx Menu: 
   Diff to Previous Revision (on any rev other than 0)
   Backout...

Changeset files:
Ctx Menu: 
   Diff to Previous Revision
   Revert to {rev of this changeset}
   View
   Export File Diff... (for this file only)

So you do have backout, we could add to the Changeset Gray Bar, the following and they would bring up the appropriate
dialogs with only this changeset available in the combo.
   Diff Revert Strip Backout ExportDiff

When we retrieve the revision info we could use a different template command to get {desc}, {author} and {date}. We'd
then display this info below the combo in label titled:
Changeset Info:
   Description: <display first line and truncate it to some suitable length>
   Author:
   Date:
Comment 4 Tomas Stupka 2008-03-03 16:17:22 UTC
> Changeset dark grey bar:
>    Diff   Revert (to this changeset)   ExportDiff (for this changeset - all files)
> Ctx Menu: 
>    Diff to Previous Revision (on any rev other than 0)
>    Backout...
oops. i've missed that:(


> we could add to the Changeset Gray Bar, the following and they would bring up the appropriate
> dialogs with only this changeset available in the combo.
>    Diff Revert Strip Backout ExportDiff
makes sense

> When we retrieve the revision info we could use a different template command to get {desc}, {author} and {date}. 
> We'd then display this info below the combo in label titled:
yes. actually, i was asking for something like this...

thanks
Comment 5 John Rice 2008-03-03 17:23:21 UTC
See attachment for proposed dialog change. This is for Export Diff, would do the same for Revert, Strip, Backout.
Comment 6 John Rice 2008-03-03 17:24:06 UTC
Created attachment 57688 [details]
mercurial_export_diff_plus_cset_info.jpg
Comment 7 Tomas Stupka 2008-03-03 18:03:44 UTC
yes. something like that
Comment 8 John Rice 2008-03-05 19:49:21 UTC
Added Changeset Info for Description, Author and Date to Update, Revert, Strip, Backout and Export Diff.

I did not add Strip, Backout to Show History Changeset Bar as I think it makes it look cluttered. 

Changes pushed:

changeset:   70189:b59c5cbab310
user:        jrice@netbeans.org
date:        Wed Mar 05 13:54:09 2008 +0000
files:       mercurial/src/org/netbeans/modules/mercurial/ui/diff/Bundle.properties
mercurial/src/org/netbeans/modules/mercurial/ui/diff/ExportDiffPanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/diff/ExportDiffPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/log/DiffResultsView.java
mercurial/src/org/netbeans/modules/mercurial/ui/repository/Bundle.properties
mercurial/src/org/netbeans/modules/mercurial/ui/repository/ChangesetPanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/repository/ChangesetPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/rollback/BackoutPanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/rollback/BackoutPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/rollback/StripPanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/rollback/StripPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/update/RevertModificationsPanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/update/RevertModificationsPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/update/UpdatePanel.form
mercurial/src/org/netbeans/modules/mercurial/ui/update/UpdatePanel.java
mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java
description:
#128856: adding changeset info description, author and date to Export Diff, Update, Revert, Strip and Backout


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo